summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-22 08:07:13 +0700
committer David Spencer <idlemoor@slackbuilds.org>2018-06-14 02:54:09 +0100
commit4608ef57546e4a04261fb30b1f64fd076b39a8e2 (patch)
treebf4659bb556f627be954bf7c3ecdc021a9be155a
parenta31868bb76cca8c30498b60dc2fd685c64bfe00a (diff)
downloadslackbuilds-jdk-10-nomerge.tar.gz
slackbuilds-jdk-10-nomerge.tar.xz
development/jdk: Updated for version 10.0.1.jdk-10-nomerge
Based on Robby Workman's work on Java9-nomerge branch. Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org> Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--development/jdk/doinst.sh15
-rw-r--r--development/jdk/jdk.SlackBuild130
-rw-r--r--development/jdk/jdk.info10
-rw-r--r--development/jdk/profile.d/jdk.csh5
-rw-r--r--development/jdk/profile.d/jdk.sh5
-rw-r--r--development/jdk/slack-desc2
6 files changed, 61 insertions, 106 deletions
diff --git a/development/jdk/doinst.sh b/development/jdk/doinst.sh
new file mode 100644
index 0000000000..61e7498a9b
--- /dev/null
+++ b/development/jdk/doinst.sh
@@ -0,0 +1,15 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/jdk/jdk.SlackBuild b/development/jdk/jdk.SlackBuild
index 26a736141a..093fca66bb 100644
--- a/development/jdk/jdk.SlackBuild
+++ b/development/jdk/jdk.SlackBuild
@@ -2,7 +2,6 @@
# Modified for SlackBuilds.org by David Somero
-# Based off of java.Slackbuild
# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -24,19 +23,15 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=jdk
-VERSION=${VERSION:-8u172}
+VERSION=${VERSION:-10.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-DVER=1.$(printf $VERSION | cut -du -f1).0_$(printf $VERSION | cut -du -f2)
-
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm echo "Unsupported arch" exit 1;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+case "$( uname -m )" in
+ i?86) echo "Unsupported arch" && exit 1;;
+ arm*) echo "Unsupported arch" && exit 1;;
+ *) ARCH=$( uname -m ) ;;
+esac
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -44,13 +39,8 @@ PKG=$TMP/package-jdk
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "x86_64" ]; then
- LIB_ARCH=amd64
LIBDIRSUFFIX="64"
SRC_ARCH="x64"
-else
- LIB_ARCH=i386
- LIBDIRSUFFIX=""
- SRC_ARCH="i586"
fi
set -e
@@ -58,84 +48,30 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-mkdir -p usr/lib${LIBDIRSUFFIX}
-cd usr/lib${LIBDIRSUFFIX}
-tar xvf $CWD/$PRGNAM-$VERSION-linux-$SRC_ARCH.tar.gz
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+tar xvf $CWD/$PRGNAM-${VERSION}_linux-${SRC_ARCH}_bin.tar.gz
chown -R root.root $PKG
find $PKG \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-mkdir -p $PKG/etc/profile.d
-for file in $(ls $CWD/profile.d/${PRGNAM}*) ; do
- cat $file | sed -e "s#lib/java#lib${LIBDIRSUFFIX}/java#" \
- > $PKG/etc/profile.d/$(basename $file)
-done
-chmod 755 $PKG/etc/profile.d/*
-
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
- mv ${PRGNAM}${DVER} java
- ln -sf java ${PRGNAM}${DVER}
-)
-
-cd $PKG/usr/lib${LIBDIRSUFFIX}
- ln -sf ./java/jre/lib/${LIB_ARCH}/server/libjvm.so .
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat << EOF > $PKG/install/doinst.sh
-# Clean up a potential upgrade mess caused by changing the
-# installation directory to /usr/lib${LIBDIRSUFFIX}/java/:
-if [ -L usr/lib${LIBDIRSUFFIX}/java ]; then
- rm -rf usr/lib${LIBDIRSUFFIX}/java
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/man
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/lib/${LIB_ARCH}/server
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/lib/${LIB_ARCH}/client
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/javaws
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/bin
- mkdir -p usr/lib${LIBDIRSUFFIX}/java/bin
- mkdir -p usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-fi
-if [ -L ControlPanel ]; then
- rm -f ControlPanel
-fi
-if [ -L ja ]; then
- rm -f ja
-fi
-if [ -L javaws ]; then
- rm -f javaws
-fi
-if [ -L libjsig.so ]; then
- rm -f libjsig.so
-fi
-# End cleanup.
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
-fi
+# Instead of renaming the installation directory, let's just symlink the
+# well-known name
+ln -s ${PRGNAM}-${VERSION} java
-if [ -x /usr/bin/update-mime-database ]; then
- /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
-fi
-
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
- if [ -x /usr/bin/gtk-update-icon-cache ]; then
- /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
- fi
-fi
-
-EOF
+# Install symlinks so we can find the libraries without ld.so.conf hacks
+ln -s java/lib/server/libjvm.so .
+ln -s java/lib/server/libjsig.so .
# Install the desktop/mime files:
mkdir -p $PKG/usr/share/{applications,icons,mime}
-cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/applications/* \
- $PKG/usr/share/applications/
-cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/icons/hicolor \
- $PKG/usr/share/icons/
-cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/mime/packages \
- $PKG/usr/share/mime/
+cp -a java/lib/desktop/applications/* $PKG/usr/share/applications
+cp -a java/lib/desktop/icons/hicolor $PKG/usr/share/icons
+cp -a java/lib/desktop/mime/packages $PKG/usr/share/mime
+rm -rf java/lib/desktop/
# Install the unlimited strength JCE policy files
# if the zip file is also in the build directory
@@ -145,15 +81,21 @@ if [ -r $ENCRYPTION_POLICY_ZIP ]; then
-d $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/security
fi
-# Java may not expect compressed manpages, so don't compress them.
+# Install the profile scripts
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/jdk.sh > $PKG/etc/profile.d/jdk.sh
+cat $CWD/profile.d/jdk.csh > $PKG/etc/profile.d/jdk.csh
+chmod 0755 $PKG/etc/profile.d/*
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- $PKG/usr/lib${LIBDIRSUFFIX}/java/THIRDPARTYLICENSEREADME.txt \
- $PKG/usr/lib${LIBDIRSUFFIX}/java/LICENSE \
- $PKG/usr/lib${LIBDIRSUFFIX}/java/COPYRIGHT \
- $PKG/usr/lib${LIBDIRSUFFIX}/java/README.html \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s /usr/lib${LIBDIRSUFFIX}/java/legal $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s /usr/lib${LIBDIRSUFFIX}/java/release $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s /usr/lib${LIBDIRSUFFIX}/java/README.html $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/jdk/jdk.info b/development/jdk/jdk.info
index 1d9c5e177a..a5ed9d66c1 100644
--- a/development/jdk/jdk.info
+++ b/development/jdk/jdk.info
@@ -1,10 +1,10 @@
PRGNAM="jdk"
-VERSION="8u172"
+VERSION="10.0.1"
HOMEPAGE="http://www.oracle.com/technetwork/java/javase/downloads/index.html"
-DOWNLOAD="http://download.oracle.com/otn-pub/java/jdk/8u172-b11/a58eab1ec242421181065cdc37240b08/jdk-8u172-linux-i586.tar.gz"
-MD5SUM="0462f605ca1a558a0a95c52d46127071"
-DOWNLOAD_x86_64="http://download.oracle.com/otn-pub/java/jdk/8u172-b11/a58eab1ec242421181065cdc37240b08/jdk-8u172-linux-x64.tar.gz"
-MD5SUM_x86_64="eda2945e8c02b84adbf78f46c37b71c1"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://download.oracle.com/otn-pub/java/jdk/10.0.1+10/fb4372174a714e6b8c52526dc134031e/jdk-10.0.1_linux-x64_bin.tar.gz"
+MD5SUM_x86_64="4f0b8a0186ba62e2a3303d8a26d349f7"
REQUIRES=""
MAINTAINER="Robby Workman"
EMAIL="rworkman@slackbuilds.org"
diff --git a/development/jdk/profile.d/jdk.csh b/development/jdk/profile.d/jdk.csh
index 3a1ec7be8b..3e190f082e 100644
--- a/development/jdk/profile.d/jdk.csh
+++ b/development/jdk/profile.d/jdk.csh
@@ -1,4 +1,3 @@
#!/bin/csh
-setenv JAVA_HOME /usr/lib/java
-setenv MANPATH ${MANPATH}:${JAVA_HOME}/man
-setenv PATH ${PATH}:${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin
+setenv JAVA_HOME /usr/lib64/java
+setenv PATH ${PATH}:${JAVA_HOME}/bin
diff --git a/development/jdk/profile.d/jdk.sh b/development/jdk/profile.d/jdk.sh
index ed0bc73d4d..b31bb4c7d8 100644
--- a/development/jdk/profile.d/jdk.sh
+++ b/development/jdk/profile.d/jdk.sh
@@ -1,4 +1,3 @@
#!/bin/sh
-export JAVA_HOME=/usr/lib/java
-export MANPATH="${MANPATH}:${JAVA_HOME}/man"
-export PATH="${PATH}:${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin"
+export JAVA_HOME=/usr/lib64/java
+export PATH="${PATH}:${JAVA_HOME}/bin"
diff --git a/development/jdk/slack-desc b/development/jdk/slack-desc
index 25e1b8a0e3..403b849687 100644
--- a/development/jdk/slack-desc
+++ b/development/jdk/slack-desc
@@ -13,7 +13,7 @@ jdk: running programs written in the Java programming language. This
jdk: package contains everything you need to run Java(TM).
jdk:
jdk: For additional information, refer to this web page:
-jdk: http://java.com/
+jdk: http://www.oracle.com/technetwork/java/index.html
jdk:
jdk:
jdk: